Contents

Stamp Album - Help

Content

  • About
  • Introduction
  • Installation
  • License
  • Contact
  • Version History

Program description

  • Preview
  • Album design
  • Menu
  • Selector panel
  • Frame creation
  • Title page
  • Adding sheets
  • Images
  • Dialogs and messages
  • Save album and print
  • New album - Tutorial
  • Examples

  • Tools

    • Scale
    • Conversions
    • Perforator
    • Edit sheet | Collage
    • Presentation
  • Website
  • Data

  • Other

    • Image Manipulation


About

Stamp Album

Version: | 1.1.0.00
 | 1.0.0.00 Demo
Date: | 1. January 2020
Copyright: | © 2020 jvStudio
E-mail: | jvstudio@seznam.cz
Website: | http://www.jvstudio.sweb.cz


Introduction

Philately is one of the most popular hobbies in the world today. An essential tool for any collector is the album where the stamps are stored.
The trays are suitable for temporarily storing stamps or for storing excess stamps, but if you want to present your collection, you will need to purchase an album. Pre-printed albums are available in all philatelic stores, but if your collection is already large, the price of the album may exceed its value. Commercial albums usually include only the basic collection. A collector who is interested in a specialized collection that includes stamps with various variations and misprints, stamps associated with gaps, or a pair or four stamps must either create their own album or order sheets to order.

Program allows you to create your own albums and also print them. The program is designed for both beginners and advanced collectors, whether you want to create a general collection of a particular state or a theme collection. Album sheets are suitable not only for used stamps, which you can then use with philatelic stickers, but also for storing unused stamps, which you put in the rags or havidek. Unlike commercial albums, which typically use larger size sheets, the album sheets created with this program are standard A4 size so loose sheets are available at local stores and finished sheets can be printed on most home inkjet or laser printers.

Another benefit of the program is that you can initially only create sheets for a series of stamps that you have accumulated and you can add more later.

The sheet format is designed so that it is possible to add a description of each series as well as other data such as year of issue, designer name, engraver, and even stamp numbers corresponding to stamp catalog numbers. However, you can also omit any information or add your own description. Individual stamp frames can be created in several different shades, and you can also add images that are stored on your computer.

This program allows you to store 5 albums of 50 pages. If you need more, you can cancel some albums and create new ones. The sheets you have created previously will be stored on your computer.

If you have any comments on this program or would like the program to include any additional elements, please contact the author.


License Agreement

License

License agreement

This license agreement is a binding agreement between you (the user) and the author of the program (jvStudio).

By installing the program on your computer, you agree to the above terms.

The Program and all documentation are the property of the author, except for the parts of the program listed in the link.

This license agreement gives you the right to use the Program for private purposes only, ie to create your own albums for private collections. You may not use the Program for the purpose of distributing or selling pages created by this Program without the written permission of the author.

You have the right to save the contents of the CD on one computer and make one copy for backup purposes.

Copying the CD containing this program for distribution is not permitted without the written permission of the author.

The contents of the CD must remain unchanged and contain all components, including this license agreement.

The Program must remain intact, and you may not decompile the Program or its parts or otherwise modify it.

Copyright:

Copyright © 2020 jvStudio.

All rights reserved.

Disclaimer:

THE AUTHOR PROVIDES THIS PROGRAM "AS IS" AND WITH ALL POSSIBLE DEFECTS.

THE AUTHOR EXPRESSLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

THE AUTHOR DOES NOT WARRANT THAT THE FUNCTION OF THE PROGRAM WILL BE UNINTERRUPTED OR ERROR-FREE.

THE AUTHOR IS NOT RESPONSIBLE FOR ANY DAMAGE CAUSED BY USE OR ABUSE OF THIS PROGRAM.

References:

The .NET Framework program included with the program is owned by Microsoft Corporation.

Country emblems are taken from Wikipedia (The Free Encyclopedia).

Some icons used in the program are from Fugue icons.

Stamp images and data were obtained from stamp catalogs of Pofis, Michel and Scott.


Installation

System requirements

Windows XP, Vista, Win 7, Win 10

Windows Installer 4.5

.NET Framework 4

  • Create a folder Stamp Album in drive C
  • Unzip StampAlbum.zip file to this folder
  • Run setup.exe
  • Follow the installation instructions
  • Open file StampAlbum.exe to run the program

CD content

The installation CD contains the following documents:

  • setup.exe - Installer
  • StampAlbum.exe - Applications
  • StampAlbum.exe.manifest - Manifest
  • StampAlbum.rtf - License
  • StampAlbum.chm - Help Cs
  • StampAlbumEn.chm - Help En
  • StampAlbum.ico - Icon

Installation

Insert the installation CD into your computer.

Program installation will start automatically. If the installation does not start automatically, open setup.exe .

Several dialogs appear during installation. Follow the instructions that appear and answer all questions positively.

If you do not have Microsoft Corporation's .NET Framework 4 installed on your computer, the installer will save it there. This program is required to control the application.

The program will open automatically when the installation is complete.

The application will be stored in Start Menu under the name StampAlbum .

To reopen it, type: Start > Programs > StampAlbum.exe.

Uninstall an app

To remove a program, follow these steps:

Open the Control panel: Start > Programs > Control panel.

Select: Add / Remove File.

Search for the app: StampAlbum.

Click: Remove.

Confirm the command: Click OK in a new window.


Contacts

Website

http://www.jvstudio.sweb.cz/

E-mail and support

jvstudio@seznam.cz

If you find any errors in the program or would like to include other elements, please contact the author.


Version History

What's new...

Version Description Date
1.1.0.00
  • Czech | English language, full version
  • for Windows XP, Vista, Win7, Win10
1.1.2020
1.0.0.00
  • Czech | English language, demo
  • for Windows XP, Vista, Win7, Win10
1.1.2020


Preview

Program Previews

Figure 1: Title page

Figure 2: Sheet 1 - HRADČANY 1918 - 1920 - Nonperforated (Sample)


Selection

Album design

Main topic

The program offers two types of topics:

  • Traditional
  • Theme

Traditional collections include general collections, which typically focus on the chronological collection of a series of state stamps. The collection may also be specialized, including stamps with variations that are usually rare.

Thematic collections are those that focus on a specific motif, which may be air, flora or other. These collections may include series of stamps from different countries and continents.

Sheet format

Album sheets are A4 size.

The dimensions of the main frame depend on the kind you choose.

You can choose from:

  • Type 1
  • Type 2
  • New

Type 1 is suitable for album sheets that you put in protective transparent leaflet packaging, see FIG. 1. This way your collection will be protected from damage. Since the main frame is located in the center of the page, it is possible to place two sheets back-to-back in one cover.

Type 2 is designed for sheets that are subsequently perforated for use in a ring binder, see FIG. 2.

The frame dimensions of these two types are predetermined and cannot be changed.

If you still decide to use other dimensions, select New and fill in the required dimensions.

Text

This program uses a single font that cannot be changed.

All names and bold are Tahoma.

Description and stamp numbers are of type TimesNewRoman.

Tisk

It is best to print individual pages of the album on sheets of paper with a minimum weight of 170g/qm.


Menu

Main menus and toolbars

You can control the functions of the program either by selecting it from the main menu or by using the toolbars.

Use the top left panel to select the functions for creating an album, the right one to create individual sheets.

On the right, you will find a link to the author's website.

You can also use keyboard shortcuts if available.

In each item you will find the following commands:

The album CZECHOSLOVAKIA 1918 - 1939 is already created for you. You cannot cancel this album, cover page and sheet 1, but you can add more sheets.

Albums 2 - 5 will be created over time.

Some commands may be unavailable during program operation.


Panel

Control panel

The left control panel is divided into individual groups. Each has its own purpose:

In the MAIN FRAME group, you select the appropriate type to apply to all the albums.

In the ISSUES group, you specify the number of stamp issues you want to place on one page.

  • 1 issue - maximum 6 rows of stamps
  • 2 issues - maximum 2 rows of stamps in each
  • 3 issues - maximum 1 rows of stamps in each
  • 4 issues - maximum 1 rows of stamps in each

Group TABLE will adapt to this number - see. Frame creation .

In the OUTLINE group, you select the outline of the stamp frame according to its shape.

Most stamps have a rectangular or square shape, but there are also triangles or diamond shapes. Other shapes rarely occur. However, you can place them in rectangular or square frames. This outline is the best fit when you use sandwiches.

In the FRAME group, there are several combinations to choose from to get the desired stamp frame effect.

Unlike commercial albums, this program offers you both a simple frame and different shades of color from light gray to black.

Serrated stamps stand out on a darker background. Partial frames save ink in your printer.

You should apply the selected variation on all pages so that the album has a consistent character.

A simple box is enough if you use black-backed tiles.

In the STAMP DIMENSIONS group, fill in the width and height of the mm stamps you measure in advance.

Eg. The Hradčany stamp will be Width 30 , Height 27 . Values must be integers.

Margin is preselected. Its value is 10 pixels (= approximately 2.5 mm).

This is the dimension by which the stamp frame on each side is larger than the actual stamp.

If you use the rails, which are available in different standard sizes, you can increase the Margins value a little.


Frames

Creating frames

You will find a TABLE at the bottom of the left panel to create individual rows of stamp frames and descriptions.

Before you start filling in the data, you should already choose from the previous groups:

  • main frame
  • number of issues
  • outline
  • frame
  • stamp dimensions

There can be only the same size stamps in each row. If a series contains stamps of different sizes, spread them out across multiple rows.

Start filling out data in the first row.

In the first column [image] you can enter a vertical detachment.

Enter the horizontal spacing [image] in the second column. This creates the necessary space between frames.

You should repeat this in other rows to maintain a consistent look.

Data values will be in pixels.

If you leave this information blank, the program will use built-in data that uses the minimum values so you can place as many stamps on one page as possible.

In the following column, you will fill in the number of stamps to be in this row.

The last two columns add more text.

If you select the left cell, the text appears above the row of frames.

Select the right cell to add text below the row of frames.

After filling in the data in the first row, click [image] .

A row of stamps will appear on the created page.

If you are not satisfied with the result, click [image] .

The marked row will be deleted and you can make corrections.

If you have already created the first row, select the next row and continue in the same order.


Title Page

The title page design will depend on the type of album, which can be STATE or TOPIC .

The program offers you a choice of several saved formats, see. Figure 3 .

Use the vertical scroll bar to find them in the lower left panel.

Figure 3: STATE | TOPIC


Pictures

Adding pictures

The stamp album is primarily used to create boxes to store your collection. Inserting images into each frame would be very laborious and images would be hidden when the stamps are inserted.

Still, this program will allow you to add images if you have them stored on your computer. You can only insert an image in the first frame of each row.

To insert an image:

If you have already finished the album page with its frames, click the button btnImage found on the left panel below the FRAME group.

A new panel LIST OF STAMPS (Figure 1) will open.

In this new panel, click the button [image] Find pictures (Figure 2).

This will open a new dialog where you can find your saved images. You can select multiple images at once. Images can be .png, .gif, or .jpg. When you have finished making your selections, click OK to close the dialog.

In the group Table select the row into which you want to insert the image (Figure 3).

In the group STAMP SIZE make sure the stamp is the correct size. Change the values if required (Figure 4) and (Figure 5).

In the LIST OF STAMPS panel, click the [image] Choose picture | Next button to select the image you want to use and it will appear (Figure 6).

This image will be smaller than the actual size of the stamp.

Using button [image] Remove picture you will cancel your selection.

Using button [image] Clear list you will clear the list.

Using button [image] Close list you will hide this panel.

Similarly, you can add images in other rows.

Alternative:

Click on the image in the group STAMP SIZE and move it to the first frame in any row.


Dialogs

Dialogues and messages

Dialog: Save album?

This dialog box opens every time you select a command Exit.

Click YES to save any changes you've made since your last save.

If you select NO , the program will revert to the last saved version before exiting.

CANCEL will only close this dialog.

A similar dialog will appear when you select Album> Cancel or List> Cancel .

Message: Stamp size

This message will appear if you omit to fill in any of the dimensions of the stamp and try to add frames to your page.

Message: Number of stamps

If you forget to fill in the number of stamps and try to add a row of frames to your page, you will see this message.

A similar message will also appear if you omit the main frame information if you have selected New .

Message: Error

This message is shown when you enter a letter or other character instead of a digit where the program expects a number.

In each of these cases, click OK to make corrections and continue.


Save and Print

Save Album and Print

Save Album

To save individual album sheets, select: Sheet > Save.

Sheets will be stored on your computer as .png in the Libraries > Personal folder.

The title of each sheet will contain the album number and sheet number (eg. Album2Pg1.png ).

The link to each folder will be (eg "C:\Users\Jarda\MyDocuments\Album2Pg1.png" ).

Later, if you want, you can move them to another folder you create.

You can find them from the program by clicking the icon [image] ( File Explorer ) in the top right toolbar.

Preview

To preview album sheets before printing, select: Sheet > Preview.

Print Album

You can print album sheets either directly, using a printer set up on your computer, or from a program.

To set up your printer, follow these steps:

  • Size: A4
  • Orientation: Portrait
  • Margins: 0, 0, 0, 0
  • Picture settings: Fit-to-Page
  • Make sure you don't have a header or footer set


NewAlbum

New album - Walkthrough

The following is the procedure for creating an album.

Create a cover page:

  • Open StampAlbum.exe.
  • Select the main frame in the FRAME group in the top left panel: Leave Type 1.
  • Select from the main Menu: Leave Type > State.
  • In the lower left panel of the STATE group, select a country: Leave ČESKOSLOVENSKO.
  • Select from the main Menu: Album > New.
  • Select from the main Menu: Sheet > Title.
  • Change the text on the created page: Leave Album of postage stamps.
  • Change text: Description to Used.
  • Change text: 1918 - 19.. to 1918 - 1939.
  • Save your album: Sheet > Save.
  • Open Preview: Sheet > Preview.
  • Close Preview: Close.
  • Close Album: Album > Close.

Add new Sheet:

  • Select from the main Menu: Album > Open > CZECHOSLOVAKIA 1918 - 1939 (new album in row 2).
  • In the top left panel, select the number of issues: Leave 1.
  • Select from the main Menu: Sheet > New.
  • Change the text on the new page (use the key Tab to switch between texts):
    • Year to 1918 - 1920.
    • NAME to HRADČANY.
    • D: Designer to D: Alfons Mucha.
    • Description to Postage Stamps - State Edition.
    • E: Engraver to Letterpress.
    • S: Serration to S: Not serrated.
  • Enter the bookmark name: In the upper right toolbar, type in the text field Hradčany - Not serrated.

Add stamp frames:

  • Select frame shape: Leave Rectangle.
  • Select frame outline: Leave Simple.
  • Fill in stamp dimensions: Width 30, Height 27. Leave Margin 10.
  • Fill in row 1 in the stamp table: Number 5.
  • Fill in row 2 in the stamp table: Number 5.
  • Fill in row 3 in the stamp table: Number 5.
  • Fill in row 4 in the stamp table: Number 5.
  • Fill in row 5 in the stamp table: Vertical distance 10, Number 3. Select Text in the right cell.
  • Fill in row 6 in the stamp table: Number 3. Select Text in the right cell.
  • Make sure row 1 is highlighted and click ADD.
  • Highlight the 2. - 6. row and click ADD.
  • Change the stamp numbers and text (use the key Tab to switch between numbers and texts):
    • 1. row: 1 to 1, 2, 3, 4, 5.
    • 2. row: 1 to 7, 8, 10, 11, 12.
    • 3. row: 1 to 14, 15, 16, 17, 18.
    • 4. row: 1 to 19, 20, 21, 22, 23.
    • 5. row: 1 to 24, 25, 26. Description to č. 1 - 5, 7 - 8, 10 - 12, 14 - 26 row (23).
    • 6. row: 1 to 6, 9, 13. Description to č. 6 , 9, 13.

Add stamp images:

You can add an image only in the first frame of each row.

  • Click the button: btnImage in the left panel under the group FRAME A new panel will open LIST OF STAMPS.
  • Click the button: A new dialog opens where you select the stamp you want to insert.
  • Select row: into which you want to insert the stamp.
  • Make sure the stamp has the correct dimensions. Change if necessary.
  • Click the button: and the image will appear in this frame.
  • Repeat this process for the other rows.

Save and preview:

  • Save your page: Sheet > Save.
  • Open the preview: Sheet > Preview.
  • Close preview: Close.
  • Close album: Album > Close.


Examples

Image Slideshow


Scale

The stamp image you have chosen in section Pictures will show also in the group Scale.

Select from main Menu: Tools > Scale.

New panel SCALE will open.

Change the background clicking on button [image].

Make sure the image is the right size.

Size change:

In the group STAMP SIZE change the parameters.

Click the button [image].


Conversions

Select from main Menu: Tools > Conversions.

New panel CONVERSIONS will appear.

  • Select the units you wish to convert in left and right list.
  • In upper left text field enter the number you wish to convert.
  • Press the button [image] and the converted value will appear in the right text field.
  • To clear the table press button [image].

Select from main Menu: Tools > Conversions and cancel the selection.


Perforator

Select from main Menu: Tools > Perforator.

New panel PERFORATOR will appear.

Serration control:

  • Choose from Control panel:
  • - choose stamp image
  • - select image
  • - unselect image
  • - zoom 2x
  • - actual size
  • and [image] - change units
  • - change background
  • - cancel

Move the stamp image with mouse so that the serration of stamp matches the perforator.

For better control choose

Select from main Menu: Tools > Perforator and cancel Perforator panel selection.


Edit sheet

Edit sheet | Collage

Select from main Menu: Tools > Edit sheet | Collage.

New panel EDIT SHEET | COLLAGE will appear.

Here you can add additional stamp images, images of details or additional text.

As an alternative you could use Program MS Paint.

It can be opened by clicking on [image] in Control panel.

Edit sheet:

Tools - Choose from the Control panel:

  • - remove all
  • - look up album sheet
  • - find image to add
  • - save
  • - print
  • - select image
  • - unselect image
  • and [image] - change units
  • - change background
  • - add Rich textbox
  • - remove selected text

Move the image or text to desired place by mouse.

You can resize the image using tool [image].

To add the Rich textbox, use tool [image]. It will appear in upper left corner as shown in Figure bellow.

You can move the textbox to desired place by mouse, or choose location in the Property Grid.

In the Property Grid you can also change other properties of the Rich textbox -

Font, Forecolor, Backcolor, Location, Text, Size etc. when the Rich textbox is selected.

The size of text can be changed also choosing ZoomFactor in the PropertyGrid.

Collage:

Collage you will create by adding multiple pictures.

Choose from the main Menu: Tools > Edit sheet | Collage and cancel the selection.


Presentation

Select from main Menu: Tools > Slide Show.

New panel PRESENTATION will appear.

Set timer:

  • Choose the interval - 3, 5 or 10 sec (5 sec = 5000 milliseconds)
  • - set timer
  • - cancel

Presentation:

  • or [image] - black or silver screen
  • - choose and open the files
  • - presentation controls
  • - close presentation

Select from main Menu: Tools > Slide Show and cancel the selection.


Website

Press the button [image] in the Menu strip to hide the Container panel.

Select from main Menu: Window > Web Browser.

New child window WEB BROWSER will appear.

The first window will appear as a Bing search engine.

Here you can select what you are looking for, or search the URL text box for other websites.

You can open another window: Window > New Window.

You can sort the windows Horizontal, Vertical or as a Cascade.

Close all windows.

Select from main Menu: Window > Close.

Press the button [image] in the Menu strip to show the Container panel.


Data

Select from Control Panel: Data > Album 1.

A new tab page opens Album 1. The title page of the album will appear on this page.

Click the tab 1 .

Pressing button [image] you'll see a table of details of your collection on page 1. This table is synchronized with the table in MS Excel.

Here you can enter a description of each stamp and information such as their numbers and values.

Use the buttons [image] a [image] to move between sheets.

You can access MS EXCEL by pressing the button [image].

Pressing the button [image] exit the database preview. Also can be used [image] Data > Close.

You can use a similar procedure for Album 2-5 if you've already created them.


Image Manipulation

Select Image Manipulation [image] on the right Tab Control.

A new tab page will open.

Here you will find few mini programs IMAGE MANIPULATION (Figure 1).

CROP: (Figure 2)

  • - Choose image
    • IMAGE
  • Click and drag: - selection rectangle to required size
  • - Save image
  • - Revert
  • - Cancel selection

CROP TO SIZE: (Figure 3)

  • - Choose image
    • IMAGE
  • Click and move selection rectangle to desired place
  • - Select size
  • - Save image
  • - Revert
  • - Cancel selection

TRIM: (Figure 4)

  • - Choose image
  • - Select margin
  • - OK
  • - Save image
  • - Revert
  • - Cancel selection

    • TRANSPARENT: (Figure 5)

  • - Choose image
  • - Clear background
  • - Save image
  • - Revert
  • - Cancel selection

            •

    ROTATE: (Figure 6)

  • - Choose image
  • - Select angle
  • - Click
  • - Save image
  • - Revert
  • - Cancel selection

    • EDIT: (Figure 7)

  • - Choose image
  • - Cut
  • - Copy
  • - Paste
  • - Save image
  • - Revert
  • - Cancel selection

            •

    ZOOM:

  • - Zoom -
  • - Zoom +
  • - Actual size
  • - Cancel selection
            •

    Press the button [image] on panel Menu to hide the right panel.